> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a WhatsApp QR code

> Create a QR code with a prefilled message on the WhatsApp phone number.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/qr-codes
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/qr-codes:
    post:
      tags:
        - Orgs Connections
      summary: Create a WhatsApp QR code
      description: Create a QR code with a prefilled message on the WhatsApp phone number.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the connection
          name: connection_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the WhatsApp phone number
          name: phone_number_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveWhatsAppQrCodeSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/SaveWhatsAppQrCodeSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsAppQrCodeSchema'
components:
  schemas:
    SaveWhatsAppQrCodeSchema:
      type: object
      properties:
        prefilled_message:
          type: string
          minLength: 1
          maxLength: 1000
      required:
        - prefilled_message
    WhatsAppQrCodeSchema:
      type: object
      properties:
        code:
          type: string
        prefilled_message:
          type: string
        deep_link_url:
          type: string
      required:
        - code
        - prefilled_message
        - deep_link_url
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````